<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::SceneNode Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classgg_1_1SceneNode-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::SceneNode Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="SceneNode_8hpp_source.html">SceneNode.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::SceneNode:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1SceneNode.png" usemap="#gg::SceneNode_map" alt=""/>
  <map id="gg::SceneNode_map" name="gg::SceneNode_map">
<area href="classgg_1_1Box.html" alt="gg::Box" shape="rect" coords="57,112,162,136"/>
<area href="classgg_1_1Button.html" alt="gg::Button" shape="rect" coords="230,112,335,136"/>
<area href="classgg_1_1Container.html" alt="gg::Container" shape="rect" coords="345,112,450,136"/>
<area href="classgg_1_1Image.html" alt="gg::Image" shape="rect" coords="460,112,565,136"/>
<area href="classgg_1_1Label.html" alt="gg::Label" shape="rect" coords="575,112,680,136"/>
<area href="classgg_1_1HBox.html" alt="gg::HBox" shape="rect" coords="0,168,105,192"/>
<area href="classgg_1_1VBox.html" alt="gg::VBox" shape="rect" coords="115,168,220,192"/>
<area href="classgg_1_1ToggleButton.html" alt="gg::ToggleButton" shape="rect" coords="230,168,335,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a85a355c9072099675bf4a8ca00dc0635"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">SceneNode</a> (const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes, const bool root=false)</td></tr>
<tr class="separator:a85a355c9072099675bf4a8ca00dc0635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b386a4b1246cd13a553159420782f39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">~SceneNode</a> () override</td></tr>
<tr class="separator:a2b386a4b1246cd13a553159420782f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46fbfc7cb2cd115ecc33a0001b5caa79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">SetName</a> (const std::string &amp;)</td></tr>
<tr class="separator:a46fbfc7cb2cd115ecc33a0001b5caa79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92215060ea01f924ac43bdc2e02d8495"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">GetName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:a92215060ea01f924ac43bdc2e02d8495"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bfaf6ab0f3690bf75e1142fc6b574a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">SetRoot</a> (bool)</td></tr>
<tr class="separator:a3bfaf6ab0f3690bf75e1142fc6b574a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a082408f997345f8d99a05a561425a0de"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">IsRoot</a> () const -&gt; const bool</td></tr>
<tr class="separator:a082408f997345f8d99a05a561425a0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade1c015b4ad1d134a6ac9b74ea67ac26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">SetParent</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:ade1c015b4ad1d134a6ac9b74ea67ac26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0776302fef90cb2f0aabd1f3045c5dd7"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">GetParent</a> () -&gt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td></tr>
<tr class="separator:a0776302fef90cb2f0aabd1f3045c5dd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb3579a1294b90d74ae0e9a0f5cc8de1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">SetScene</a> (<a class="el" href="classgg_1_1Scene.html">Scene</a> *)</td></tr>
<tr class="separator:abb3579a1294b90d74ae0e9a0f5cc8de1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8a9bb996c1610f0cf41274bb5e8864"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">GetScene</a> () -&gt; <a class="el" href="classgg_1_1Scene.html">Scene</a> *</td></tr>
<tr class="separator:a2a8a9bb996c1610f0cf41274bb5e8864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57cce9f483099d73b21dbfc6c58eafc2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">SetToggleGroup</a> ()</td></tr>
<tr class="separator:a57cce9f483099d73b21dbfc6c58eafc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fddc76f0a1f636a1d4e651c5ac7e647"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">SetID</a> (const std::string &amp;)</td></tr>
<tr class="separator:a3fddc76f0a1f636a1d4e651c5ac7e647"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbeb256248e14d3cca859cc769397752"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">GetID</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:adbeb256248e14d3cca859cc769397752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d26c1d9eca413929a7b46d1975ecca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">SetInsidePosition</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:ab7d26c1d9eca413929a7b46d1975ecca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad20a4313079c8fc88db803db9742bb52"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">SetOutsidePosition</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:ad20a4313079c8fc88db803db9742bb52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a3c48db58215800a8d966716b1e66d"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">GetInsidePosition</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a88a3c48db58215800a8d966716b1e66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58c816db57bb5c6a1e9e42887d07c98c"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">GetOutsidePosition</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a58c816db57bb5c6a1e9e42887d07c98c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6060165707afd72f5313548cb92ae81e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">SetInsideSize</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:a6060165707afd72f5313548cb92ae81e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f597bd0d3cdae19a4abe961cfb92a91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">SetOutsideSize</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:a3f597bd0d3cdae19a4abe961cfb92a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29308c092ca2dac7260d5b3ad3f58569"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">GetInsideSize</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a29308c092ca2dac7260d5b3ad3f58569"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a368dbe4cad813f71cd710174c69cb339"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">GetOutsideSize</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a368dbe4cad813f71cd710174c69cb339"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a815218ded6a13ff207bfa773027cd07a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a815218ded6a13ff207bfa773027cd07a">AppendChild</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a815218ded6a13ff207bfa773027cd07a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537d14acb0810c7615d8b24541044b29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a537d14acb0810c7615d8b24541044b29">RemoveChild</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a537d14acb0810c7615d8b24541044b29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4de32c7bf5edd96622c9170bdfe68902"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">GetChildren</a> () -&gt; std::vector&lt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> * &gt;</td></tr>
<tr class="separator:a4de32c7bf5edd96622c9170bdfe68902"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8b7c84938aad84a8d2c2d63918be70a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">Update</a> ()</td></tr>
<tr class="separator:ae8b7c84938aad84a8d2c2d63918be70a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe943f9c7fe571d70a1c82a007475e89"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#afe943f9c7fe571d70a1c82a007475e89">Render</a> (sf::RenderTarget &amp;, sf::RenderStates) const</td></tr>
<tr class="separator:afe943f9c7fe571d70a1c82a007475e89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2db4f25adaf0c8dd50310ac9bfc0bac5"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">IsDirty</a> () const -&gt; bool</td></tr>
<tr class="separator:a2db4f25adaf0c8dd50310ac9bfc0bac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a035abba4248c4efc94da258fd6d54686"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">SetDirty</a> ()</td></tr>
<tr class="separator:a035abba4248c4efc94da258fd6d54686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a380916fcbdc0afb4ae68a66227faec01"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a380916fcbdc0afb4ae68a66227faec01">ResetDirty</a> ()</td></tr>
<tr class="separator:a380916fcbdc0afb4ae68a66227faec01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d7aa6562bcf0dbe1fe83d571c61f8fc"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">ContainsPoint</a> (const sf::Vector2f &amp;) -&gt; bool</td></tr>
<tr class="separator:a0d7aa6562bcf0dbe1fe83d571c61f8fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa192254c5c1050ad982dc36e9c170f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2fa192254c5c1050ad982dc36e9c170f">UpdateSize</a> ()</td></tr>
<tr class="separator:a2fa192254c5c1050ad982dc36e9c170f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83278efad563d0e384b3d18a88f1eee7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a83278efad563d0e384b3d18a88f1eee7">UpdateAlignment</a> ()</td></tr>
<tr class="separator:a83278efad563d0e384b3d18a88f1eee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a4fc688d4d843ccad6534ca8c401f3e2e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">UpdateDesign</a> ()</td></tr>
<tr class="separator:a4fc688d4d843ccad6534ca8c401f3e2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a694c7abbe5a5d06bed9f7c4e5f5d2986"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">UpdateStyle</a> ()</td></tr>
<tr class="separator:a694c7abbe5a5d06bed9f7c4e5f5d2986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61b417a1ca6289c8b2114c9f5035b3a9"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">ApplyDesign</a> ()</td></tr>
<tr class="separator:a61b417a1ca6289c8b2114c9f5035b3a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59ce959ea6f6445359a9e4c72da163ef"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">ApplyStyle</a> ()</td></tr>
<tr class="separator:a59ce959ea6f6445359a9e4c72da163ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a668a995dbb9bd8a6be5d433099ab6af1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a668a995dbb9bd8a6be5d433099ab6af1">mName</a> = &quot;&quot;</td></tr>
<tr class="separator:a668a995dbb9bd8a6be5d433099ab6af1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e5e7e8ac4efd83145012867ce1544a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ad5e5e7e8ac4efd83145012867ce1544a">mId</a> = &quot;&quot;</td></tr>
<tr class="separator:ad5e5e7e8ac4efd83145012867ce1544a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b8f27aaf7cb98202b7987ee8cdc5cd7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4b8f27aaf7cb98202b7987ee8cdc5cd7">mRoot</a></td></tr>
<tr class="separator:a4b8f27aaf7cb98202b7987ee8cdc5cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d52d7d0aae7eccfe1243a6edaee8a7"><td class="memItemLeft" align="right" valign="top">sf::Text&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#af8d52d7d0aae7eccfe1243a6edaee8a7">mText</a></td></tr>
<tr class="separator:af8d52d7d0aae7eccfe1243a6edaee8a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fd91acc7dfee4a78fa6735fbbbdb069"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a5fd91acc7dfee4a78fa6735fbbbdb069">mBackground</a></td></tr>
<tr class="separator:a5fd91acc7dfee4a78fa6735fbbbdb069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77dbd39b4f780c37222bd987f416d6bd"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a77dbd39b4f780c37222bd987f416d6bd">mInsideArea</a></td></tr>
<tr class="separator:a77dbd39b4f780c37222bd987f416d6bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff8682d270c2b28289bda70793f9b41f"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#aff8682d270c2b28289bda70793f9b41f">mOutsideArea</a></td></tr>
<tr class="separator:aff8682d270c2b28289bda70793f9b41f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8186eaf3fb16c6945f4e858f1037f0e"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ac8186eaf3fb16c6945f4e858f1037f0e">mInsidePosition</a></td></tr>
<tr class="separator:ac8186eaf3fb16c6945f4e858f1037f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c0129d2515fcd9ada82b4069c3956c4"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a6c0129d2515fcd9ada82b4069c3956c4">mOutsidePosition</a></td></tr>
<tr class="separator:a6c0129d2515fcd9ada82b4069c3956c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3105d8db96089c8444bc1fa394644398"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3105d8db96089c8444bc1fa394644398">mInsideSize</a></td></tr>
<tr class="separator:a3105d8db96089c8444bc1fa394644398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a352be9f386f6fe02548f0e0ade519b45"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a352be9f386f6fe02548f0e0ade519b45">mOutsideSize</a></td></tr>
<tr class="separator:a352be9f386f6fe02548f0e0ade519b45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4592b1592949eea0ec9c9cf4a6afbe70"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4592b1592949eea0ec9c9cf4a6afbe70">mPadding</a> = 3.0f</td></tr>
<tr class="separator:a4592b1592949eea0ec9c9cf4a6afbe70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93387c53dd7f5bea4896718fe8f1d853"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a93387c53dd7f5bea4896718fe8f1d853">mStyle</a></td></tr>
<tr class="separator:a93387c53dd7f5bea4896718fe8f1d853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaef957115bc1c6ef4aea8b1782efe618"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#aaef957115bc1c6ef4aea8b1782efe618">mParent</a></td></tr>
<tr class="separator:aaef957115bc1c6ef4aea8b1782efe618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e558e69099c74916257273cf7b9959"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ab4e558e69099c74916257273cf7b9959">mChildren</a></td></tr>
<tr class="separator:ab4e558e69099c74916257273cf7b9959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e2482547e62201c6538d96a3d2ea023"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Scene.html">Scene</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0e2482547e62201c6538d96a3d2ea023">mScene</a></td></tr>
<tr class="separator:a0e2482547e62201c6538d96a3d2ea023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ad61ca009af2383068317d8999e5f0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a02ad61ca009af2383068317d8999e5f0">mToggleGroup</a> = &quot;&quot;</td></tr>
<tr class="separator:a02ad61ca009af2383068317d8999e5f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a85a355c9072099675bf4a8ca00dc0635" name="a85a355c9072099675bf4a8ca00dc0635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85a355c9072099675bf4a8ca00dc0635">&#9670;&nbsp;</a></span>SceneNode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::SceneNode::SceneNode </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;&#160;</td>
          <td class="paramname"><em>attributes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>root</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b386a4b1246cd13a553159420782f39" name="a2b386a4b1246cd13a553159420782f39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b386a4b1246cd13a553159420782f39">&#9670;&nbsp;</a></span>~SceneNode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::SceneNode::~SceneNode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a815218ded6a13ff207bfa773027cd07a" name="a815218ded6a13ff207bfa773027cd07a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a815218ded6a13ff207bfa773027cd07a">&#9670;&nbsp;</a></span>AppendChild()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::AppendChild </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a61b417a1ca6289c8b2114c9f5035b3a9" name="a61b417a1ca6289c8b2114c9f5035b3a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61b417a1ca6289c8b2114c9f5035b3a9">&#9670;&nbsp;</a></span>ApplyDesign()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::ApplyDesign </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1Button.html#aee61a7ff3a5f86198e025130ba4fbfb6">gg::Button</a>, <a class="el" href="classgg_1_1Container.html#a2fa9e99bd6883451f30750e30bf48aca">gg::Container</a>, <a class="el" href="classgg_1_1Image.html#af0d3d5e0e85be361c9b9474c2b09c5b4">gg::Image</a>, and <a class="el" href="classgg_1_1Label.html#ad194badcec49b45ba07666fcdaffcd58">gg::Label</a>.</p>

</div>
</div>
<a id="a59ce959ea6f6445359a9e4c72da163ef" name="a59ce959ea6f6445359a9e4c72da163ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59ce959ea6f6445359a9e4c72da163ef">&#9670;&nbsp;</a></span>ApplyStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::ApplyStyle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1Button.html#a8d3d6e097de825c5207703e5a462c80f">gg::Button</a>, <a class="el" href="classgg_1_1Container.html#aeb90b02e75ebdb69771e124579ffa5fc">gg::Container</a>, <a class="el" href="classgg_1_1Label.html#aaea3988222b1dc502cf3ff9b0ac17012">gg::Label</a>, and <a class="el" href="classgg_1_1ToggleButton.html#a1f3d0076845ff1681cca73b3a0945f4a">gg::ToggleButton</a>.</p>

</div>
</div>
<a id="a0d7aa6562bcf0dbe1fe83d571c61f8fc" name="a0d7aa6562bcf0dbe1fe83d571c61f8fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d7aa6562bcf0dbe1fe83d571c61f8fc">&#9670;&nbsp;</a></span>ContainsPoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::ContainsPoint </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4de32c7bf5edd96622c9170bdfe68902" name="a4de32c7bf5edd96622c9170bdfe68902"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4de32c7bf5edd96622c9170bdfe68902">&#9670;&nbsp;</a></span>GetChildren()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetChildren </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  std::vector&lt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> * &gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adbeb256248e14d3cca859cc769397752" name="adbeb256248e14d3cca859cc769397752"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbeb256248e14d3cca859cc769397752">&#9670;&nbsp;</a></span>GetID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const std::string &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a88a3c48db58215800a8d966716b1e66d" name="a88a3c48db58215800a8d966716b1e66d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88a3c48db58215800a8d966716b1e66d">&#9670;&nbsp;</a></span>GetInsidePosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetInsidePosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const sf::Vector2f &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a29308c092ca2dac7260d5b3ad3f58569" name="a29308c092ca2dac7260d5b3ad3f58569"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29308c092ca2dac7260d5b3ad3f58569">&#9670;&nbsp;</a></span>GetInsideSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetInsideSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const sf::Vector2f &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a92215060ea01f924ac43bdc2e02d8495" name="a92215060ea01f924ac43bdc2e02d8495"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92215060ea01f924ac43bdc2e02d8495">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const std::string &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a58c816db57bb5c6a1e9e42887d07c98c" name="a58c816db57bb5c6a1e9e42887d07c98c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58c816db57bb5c6a1e9e42887d07c98c">&#9670;&nbsp;</a></span>GetOutsidePosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetOutsidePosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const sf::Vector2f &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a368dbe4cad813f71cd710174c69cb339" name="a368dbe4cad813f71cd710174c69cb339"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a368dbe4cad813f71cd710174c69cb339">&#9670;&nbsp;</a></span>GetOutsideSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetOutsideSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const sf::Vector2f &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0776302fef90cb2f0aabd1f3045c5dd7" name="a0776302fef90cb2f0aabd1f3045c5dd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0776302fef90cb2f0aabd1f3045c5dd7">&#9670;&nbsp;</a></span>GetParent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetParent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a8a9bb996c1610f0cf41274bb5e8864" name="a2a8a9bb996c1610f0cf41274bb5e8864"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a8a9bb996c1610f0cf41274bb5e8864">&#9670;&nbsp;</a></span>GetScene()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::GetScene </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1Scene.html">Scene</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2db4f25adaf0c8dd50310ac9bfc0bac5" name="a2db4f25adaf0c8dd50310ac9bfc0bac5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2db4f25adaf0c8dd50310ac9bfc0bac5">&#9670;&nbsp;</a></span>IsDirty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::IsDirty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a082408f997345f8d99a05a561425a0de" name="a082408f997345f8d99a05a561425a0de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a082408f997345f8d99a05a561425a0de">&#9670;&nbsp;</a></span>IsRoot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::SceneNode::IsRoot </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a537d14acb0810c7615d8b24541044b29" name="a537d14acb0810c7615d8b24541044b29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a537d14acb0810c7615d8b24541044b29">&#9670;&nbsp;</a></span>RemoveChild()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::RemoveChild </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afe943f9c7fe571d70a1c82a007475e89" name="afe943f9c7fe571d70a1c82a007475e89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe943f9c7fe571d70a1c82a007475e89">&#9670;&nbsp;</a></span>Render()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::Render </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderStates&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1Label.html#ab5f1d272e1de6cabfba99ae09f507afd">gg::Label</a>.</p>

</div>
</div>
<a id="a380916fcbdc0afb4ae68a66227faec01" name="a380916fcbdc0afb4ae68a66227faec01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a380916fcbdc0afb4ae68a66227faec01">&#9670;&nbsp;</a></span>ResetDirty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::ResetDirty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a035abba4248c4efc94da258fd6d54686" name="a035abba4248c4efc94da258fd6d54686"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a035abba4248c4efc94da258fd6d54686">&#9670;&nbsp;</a></span>SetDirty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetDirty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3fddc76f0a1f636a1d4e651c5ac7e647" name="a3fddc76f0a1f636a1d4e651c5ac7e647"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fddc76f0a1f636a1d4e651c5ac7e647">&#9670;&nbsp;</a></span>SetID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetID </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7d26c1d9eca413929a7b46d1975ecca" name="ab7d26c1d9eca413929a7b46d1975ecca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7d26c1d9eca413929a7b46d1975ecca">&#9670;&nbsp;</a></span>SetInsidePosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetInsidePosition </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6060165707afd72f5313548cb92ae81e" name="a6060165707afd72f5313548cb92ae81e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6060165707afd72f5313548cb92ae81e">&#9670;&nbsp;</a></span>SetInsideSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetInsideSize </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a46fbfc7cb2cd115ecc33a0001b5caa79" name="a46fbfc7cb2cd115ecc33a0001b5caa79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46fbfc7cb2cd115ecc33a0001b5caa79">&#9670;&nbsp;</a></span>SetName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad20a4313079c8fc88db803db9742bb52" name="ad20a4313079c8fc88db803db9742bb52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad20a4313079c8fc88db803db9742bb52">&#9670;&nbsp;</a></span>SetOutsidePosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetOutsidePosition </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f597bd0d3cdae19a4abe961cfb92a91" name="a3f597bd0d3cdae19a4abe961cfb92a91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f597bd0d3cdae19a4abe961cfb92a91">&#9670;&nbsp;</a></span>SetOutsideSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetOutsideSize </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade1c015b4ad1d134a6ac9b74ea67ac26" name="ade1c015b4ad1d134a6ac9b74ea67ac26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade1c015b4ad1d134a6ac9b74ea67ac26">&#9670;&nbsp;</a></span>SetParent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetParent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bfaf6ab0f3690bf75e1142fc6b574a9" name="a3bfaf6ab0f3690bf75e1142fc6b574a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bfaf6ab0f3690bf75e1142fc6b574a9">&#9670;&nbsp;</a></span>SetRoot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetRoot </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb3579a1294b90d74ae0e9a0f5cc8de1" name="abb3579a1294b90d74ae0e9a0f5cc8de1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb3579a1294b90d74ae0e9a0f5cc8de1">&#9670;&nbsp;</a></span>SetScene()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::SceneNode::SetScene </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1Scene.html">Scene</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57cce9f483099d73b21dbfc6c58eafc2" name="a57cce9f483099d73b21dbfc6c58eafc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57cce9f483099d73b21dbfc6c58eafc2">&#9670;&nbsp;</a></span>SetToggleGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::SetToggleGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1ToggleButton.html#a0e9b71c9ee388934a04dce6d9b000ec5">gg::ToggleButton</a>.</p>

</div>
</div>
<a id="ae8b7c84938aad84a8d2c2d63918be70a" name="ae8b7c84938aad84a8d2c2d63918be70a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8b7c84938aad84a8d2c2d63918be70a">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a83278efad563d0e384b3d18a88f1eee7" name="a83278efad563d0e384b3d18a88f1eee7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83278efad563d0e384b3d18a88f1eee7">&#9670;&nbsp;</a></span>UpdateAlignment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::UpdateAlignment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1Box.html#a64e0d505df7a967deb758ded99722920">gg::Box</a>, and <a class="el" href="classgg_1_1Container.html#adf049763ac94a4f1a4b480fe98f0a5f1">gg::Container</a>.</p>

</div>
</div>
<a id="a4fc688d4d843ccad6534ca8c401f3e2e" name="a4fc688d4d843ccad6534ca8c401f3e2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fc688d4d843ccad6534ca8c401f3e2e">&#9670;&nbsp;</a></span>UpdateDesign()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::UpdateDesign </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1Button.html#aa2efba66377728eb9e23a1af16aef1db">gg::Button</a>, and <a class="el" href="classgg_1_1Image.html#af93fa0a5549864e916e9d3108e774e14">gg::Image</a>.</p>

</div>
</div>
<a id="a2fa192254c5c1050ad982dc36e9c170f" name="a2fa192254c5c1050ad982dc36e9c170f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fa192254c5c1050ad982dc36e9c170f">&#9670;&nbsp;</a></span>UpdateSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::UpdateSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1Box.html#aa922ac30a375d9bf759da5d3c302947b">gg::Box</a>, <a class="el" href="classgg_1_1Container.html#a3228de9b550b915ec44fd46c246b2163">gg::Container</a>, <a class="el" href="classgg_1_1Image.html#aa7af1b0f160d94f384ad760dc8f3da97">gg::Image</a>, and <a class="el" href="classgg_1_1Label.html#ad751d0364a2c99c50e7c97fd7947f9ea">gg::Label</a>.</p>

</div>
</div>
<a id="a694c7abbe5a5d06bed9f7c4e5f5d2986" name="a694c7abbe5a5d06bed9f7c4e5f5d2986"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a694c7abbe5a5d06bed9f7c4e5f5d2986">&#9670;&nbsp;</a></span>UpdateStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::SceneNode::UpdateStyle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a5fd91acc7dfee4a78fa6735fbbbdb069" name="a5fd91acc7dfee4a78fa6735fbbbdb069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fd91acc7dfee4a78fa6735fbbbdb069">&#9670;&nbsp;</a></span>mBackground</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::RectangleShape gg::SceneNode::mBackground</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4e558e69099c74916257273cf7b9959" name="ab4e558e69099c74916257273cf7b9959"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4e558e69099c74916257273cf7b9959">&#9670;&nbsp;</a></span>mChildren</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&gt; gg::SceneNode::mChildren</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5e5e7e8ac4efd83145012867ce1544a" name="ad5e5e7e8ac4efd83145012867ce1544a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5e5e7e8ac4efd83145012867ce1544a">&#9670;&nbsp;</a></span>mId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string gg::SceneNode::mId = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a77dbd39b4f780c37222bd987f416d6bd" name="a77dbd39b4f780c37222bd987f416d6bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77dbd39b4f780c37222bd987f416d6bd">&#9670;&nbsp;</a></span>mInsideArea</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::RectangleShape gg::SceneNode::mInsideArea</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8186eaf3fb16c6945f4e858f1037f0e" name="ac8186eaf3fb16c6945f4e858f1037f0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8186eaf3fb16c6945f4e858f1037f0e">&#9670;&nbsp;</a></span>mInsidePosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f gg::SceneNode::mInsidePosition</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3105d8db96089c8444bc1fa394644398" name="a3105d8db96089c8444bc1fa394644398"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3105d8db96089c8444bc1fa394644398">&#9670;&nbsp;</a></span>mInsideSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f gg::SceneNode::mInsideSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a668a995dbb9bd8a6be5d433099ab6af1" name="a668a995dbb9bd8a6be5d433099ab6af1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a668a995dbb9bd8a6be5d433099ab6af1">&#9670;&nbsp;</a></span>mName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string gg::SceneNode::mName = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff8682d270c2b28289bda70793f9b41f" name="aff8682d270c2b28289bda70793f9b41f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff8682d270c2b28289bda70793f9b41f">&#9670;&nbsp;</a></span>mOutsideArea</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::RectangleShape gg::SceneNode::mOutsideArea</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c0129d2515fcd9ada82b4069c3956c4" name="a6c0129d2515fcd9ada82b4069c3956c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c0129d2515fcd9ada82b4069c3956c4">&#9670;&nbsp;</a></span>mOutsidePosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f gg::SceneNode::mOutsidePosition</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a352be9f386f6fe02548f0e0ade519b45" name="a352be9f386f6fe02548f0e0ade519b45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a352be9f386f6fe02548f0e0ade519b45">&#9670;&nbsp;</a></span>mOutsideSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f gg::SceneNode::mOutsideSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4592b1592949eea0ec9c9cf4a6afbe70" name="a4592b1592949eea0ec9c9cf4a6afbe70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4592b1592949eea0ec9c9cf4a6afbe70">&#9670;&nbsp;</a></span>mPadding</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float gg::SceneNode::mPadding = 3.0f</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaef957115bc1c6ef4aea8b1782efe618" name="aaef957115bc1c6ef4aea8b1782efe618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaef957115bc1c6ef4aea8b1782efe618">&#9670;&nbsp;</a></span>mParent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a>* gg::SceneNode::mParent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b8f27aaf7cb98202b7987ee8cdc5cd7" name="a4b8f27aaf7cb98202b7987ee8cdc5cd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b8f27aaf7cb98202b7987ee8cdc5cd7">&#9670;&nbsp;</a></span>mRoot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool gg::SceneNode::mRoot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e2482547e62201c6538d96a3d2ea023" name="a0e2482547e62201c6538d96a3d2ea023"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e2482547e62201c6538d96a3d2ea023">&#9670;&nbsp;</a></span>mScene</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Scene.html">Scene</a>* gg::SceneNode::mScene</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a93387c53dd7f5bea4896718fe8f1d853" name="a93387c53dd7f5bea4896718fe8f1d853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93387c53dd7f5bea4896718fe8f1d853">&#9670;&nbsp;</a></span>mStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a>* gg::SceneNode::mStyle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af8d52d7d0aae7eccfe1243a6edaee8a7" name="af8d52d7d0aae7eccfe1243a6edaee8a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8d52d7d0aae7eccfe1243a6edaee8a7">&#9670;&nbsp;</a></span>mText</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Text gg::SceneNode::mText</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a02ad61ca009af2383068317d8999e5f0" name="a02ad61ca009af2383068317d8999e5f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02ad61ca009af2383068317d8999e5f0">&#9670;&nbsp;</a></span>mToggleGroup</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string gg::SceneNode::mToggleGroup = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gui/<a class="el" href="SceneNode_8hpp_source.html">SceneNode.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
